<div class="animate__animated animate__fadeIn animate__faster">
  <h3>
    Buscar por región <small>{{ regionActiva | titlecase }} </small>
  </h3>
  <hr />
  <h5>Seleccione la region</h5>

  <div class="row">
    <!-- [class.btn-primary]="region === regionActiva" -->
    <!-- [ngClass]="{
      'btn-primary': regionActiva === region,
      'btn-outline-primary': regionActiva !== region
    }" -->
    <div class="col">
      <button
        *ngFor="let region of regiones"
        [class]="getClaseCSS(region)"
        (click)="activarRegion(region)"
      >
        {{ region | titlecase }}
      </button>
    </div>
  </div>
</div>

<div class="row animate__animated animate__fadeIn animate__faster">
  <div class="col">
    <div
      *ngIf="paises.length === 0; else tablaPaises"
      class="alert alert-info mt-5"
    >
      Por favor, seleccione una región.
    </div>
  </div>
</div>

<ng-template #tablaPaises>
  <app-pais-tabla [paises]="paises"></app-pais-tabla>
</ng-template>
